# Uses of Interface
org.eclipse.emf.cdo.server.IStoreAccessor.QueryResourcesContext

Packages that use IStoreAccessor.QueryResourcesContext
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IStoreAccessor.QueryResourcesContext in org.eclipse.emf.cdo.server

Subinterfaces of IStoreAccessor.QueryResourcesContext in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`static interface`
`IStoreAccessor.QueryResourcesContext.ExactMatch`
Represents the query execution state of a `resources query` that is supposed to deliver one exact resource, or `null`.
Methods in org.eclipse.emf.cdo.server with parameters of type IStoreAccessor.QueryResourcesContext
Modifier and Type
Method
Description
`void`
IStoreAccessor.`queryResources(IStoreAccessor.QueryResourcesContext context)`

## Uses of IStoreAccessor.QueryResourcesContext in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type IStoreAccessor.QueryResourcesContext
Modifier and Type
Method
Description
`void`
IMappingStrategy.`queryResources(IDBStoreAccessor accessor, IStoreAccessor.QueryResourcesContext context)`
Executes a resource query.

## Uses of IStoreAccessor.QueryResourcesContext in org.eclipse.emf.cdo.spi.server

Classes in org.eclipse.emf.cdo.spi.server that implement IStoreAccessor.QueryResourcesContext
Modifier and Type
Class
Description
`class`
`DelegatingQueryResourcesContext`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server that return IStoreAccessor.QueryResourcesContext
Modifier and Type
Method
Description
`protected abstract IStoreAccessor.QueryResourcesContext`
DelegatingQueryResourcesContext.`getDelegate()`